Bug 107955 - Bug Check in anaconda
Summary: Bug Check in anaconda
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-24 21:46 UTC by tim fry
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-12 16:14:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description tim fry 2003-10-24 21:46:10 UTC
Description of problem:Unhandled exception loading OS


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1.Configure san environment
2.Load OS
3.
    
Actual results:
Bug check when searching for drives

Expected results:
see all available drives to load OS

Additional info:
Trying to install Advance Server 2.1 to a HP RX2600 I receive an âunhandled 
exceptionâ bug check when attempting to select the a partition to load the OS 
to.   I have about 100 lunâs in a san environment, with topologies of public 
loop, private loop, point to point, and fabric.  If I only connect 1 target 
through one topology I do not see the bug check.

Bug Check (I could not save the bug check to the floppy so I just copied the 
text)

Trace back (innermost last):
	File â/usr/bin/anacondaâ, line 633, in?
		intf.run(d, dispatch, configFileData)
	File â/usr/lib/anaconda/gui.pyâ, line 353, in run
		self.icw.run (self.runres, configFileData)
	File â/usr/lib/anaconda/gui.pyâ, line 814, in run
		main loop()
	File â/usr/python1.5/site_packages/gtk.pyâ, line 2608 in 
		mainloop_gtk.gtk_main()
	File â/usr/lib/python1.5/site_packages/gtk.pyâ, line 125, 
		in_call_ret=apply(self.func,a)
	File â/usr/lib/anaconda/gui.pyâ, line 417, in nextClicked
		self.dispatch.gotoNext()
	File â/usr/lib/anaconda/dispatch.pyâ, line 144, in gotoNext
		self.moveStep()
	File â/usr/lib/anaconda/dispatch.pyâ, line 209, in moveStep
		re=apply(func, self.bindArgs(args))
	File â/usr/lib /anaconda/partitioning.pyâ, line 1558, in 
partitionObjectsInitialize
		partitions.zeroMbr
	File â/usr/lib/anaconda/partitioning.pyâ, line 1411, in refreshDevices
		self.openevices(intf, initall, zeroMbr)
	File â/usr/lib/anaconda/partitioning.pyâ, line 1424, in openDevices
		seviceFile=isys.makeDevInode(drive)
	File â/usr/lib/anaconda/isys.pyâ, line 249, in makeDevInode
		_isys.mkdevinode(name, path)
SystemError:(2, âno such file or directorâ)

Comment 1 Jeremy Katz 2003-10-24 22:14:21 UTC
What all devices will be existing here?  Can you hit debug on the traceback
window and enter
(pdb) print name, path

Comment 2 Jeremy Katz 2004-02-12 16:14:54 UTC
Closing due to inactivity.  Please reopen if you have further
information to add to this bug report.


Note You need to log in before you can comment on or make changes to this bug.